//Variables globales

var MODULO = "Cuestionarios";



function onLoadPage(){

	document.forms[0].elements["filtro(idProvincia)"].value = codProvinciaCompartido;

	document.forms[0].elements["idMunicipio"].value = codMunicipioCompartido;

document.forms["formFiltroResultados"].elements["filtro(idProvincia)"].focus();

cargarMunMuniLauncher();

seleccionarComboDesdeCampo("filtro(idMunicipio)","idMunicipio");

}





function ponAccion(key) {

	document.forms[0].codProvinciaContexto.value = document.forms[0].elements["filtro(idProvincia)"].value;

	document.forms[0].codMunicipioContexto.value = document.forms[0].elements["filtro(idMunicipio)"].value;		

	document.forms["formFiltroResultados"].accion.value=key;

	document.forms["formFiltroResultados"].submit();

}



//Se llama cada vez que se selecciona una provincia en el combo

function provinciaClick(){

	document.forms["formFiltroResultados"].elements["filtro(idMunicipio)"].options.length=0;

	addOption(document.forms["formFiltroResultados"].elements["filtro(idMunicipio)"],"","");

		

	//Se cargan los nombres de municipio

	cargarMunMuniLauncher();	

	

}





//Se carga el combo de municipios a trav?s del Launcher

function cargarMunMuniLauncher(){



	var where = "provincia_id = "+document.forms["formFiltroResultados"].elements["filtro(idProvincia)"].value;	

	

	cargarComboDataLauncherOrdenado(MODULO,idioma,"NORA_T17_MUNICIPIO","id","ds_o", "filtro(idMunicipio)", where, "false", true, "ds_o", "ASC");	

}



function cargarWhereProvincia(){

	if (document.forms[0].elements["filtro(idProvincia)"].value!="") {

		document.forms[0].elements["where2"].value= "(Q022HT00_PROV = '" + document.forms[0].elements["filtro(idProvincia)"].value + "')" ;

	} else {

		document.forms[0].elements["where2"].value= "";

	}

}



function cargarWhereMunicipio(){

	if (document.forms[0].elements["filtro(idMunicipio)"].value!="") {

		document.forms[0].elements["where2"].value = "(Q022HT00_PROV = '" + document.forms[0].elements["filtro(idProvincia)"].value + "') AND (Q022HT00_MUNI = '" 

			+ document.forms[0].elements["filtro(idMunicipio)"].value +  "')" ;

	} else {

		document.forms[0].elements["where2"].value= "(Q022HT00_PROV = '" + document.forms[0].elements["filtro(idProvincia)"].value + "')" ;

	}

}

